
module.exports = function(json){
	var fs = require("fs");
	var path = require("path");
	var curpath = process.cwd();

	/*服务端入口程序*/
	var appjs = require("./defaultfiles/serverappjs.js");
	/*package.json*/
	var packagejson = require("./defaultfiles/packagejson.js");
	/*webpack.config.js*/
	var webpackconfig = require("./defaultfiles/webpackconfig.js");
	/*服务端路由入口*/
	var router = require("./defaultfiles/serverrouters.js");
	/*客户端入口程序(js)*/
	var clientapp = require("./defaultfiles/clientappjs.js");
	/*客户端渲染入口(模版)*/
	var clientindex = require("./defaultfiles/clientindex.js");
	/*客户端渲染*/
	var appscss = require("./defaultfiles/clientappscss.js");

	function createfileordir(_json, curpath){
		for (var k in _json) {
			if(k.indexOf("$")>-1){
				writeDefault(curpath+path.sep+_json[k], "");
			}else{
				fs.mkdirSync(curpath+path.sep+k);
				createfileordir(_json[k], curpath+path.sep+k)
			}
		}
	}

	function writeDefault(file){
		console.log(file)
		switch(file){
			case process.cwd()+"/app.js":{
				console.log("appjsstring")
				fs.writeFileSync(file, appjs);
				break;
			}
			case process.cwd()+"/package.json":{
				console.log("packagejsonstring")
				fs.writeFileSync(file, JSON.stringify(packagejson));
				break;
			}
			case process.cwd()+"/webpack.config.js":{
				console.log("webpackstring")
				fs.writeFileSync(file, webpackconfig);
				break;
			}
			case (process.cwd()+"/server/routers/routers.js"): {
				console.log("routerstring")
				fs.writeFileSync(file, router);
				break;
			}
			case (process.cwd()+"/client/app.jsx"):{
				console.log("clientappstring")
				fs.writeFileSync(file, clientapp);
				break;
			}
			case (process.cwd()+"/client/index.jsx"): {
				console.log("clientindexstring")
				fs.writeFileSync(file, clientindex);
				break;
			}
			case (process.cwd()+"/client/app.scss"): {
				console.log("appscssstring")
				fs.writeFileSync(file, appscss);
				break;
			}
			default: {
				fs.writeFileSync(file, "");
			}
		}
	}

	createfileordir(json, curpath)
}